%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major 19
%define libname %mklibname cdio %{major}
%define libnamedev %mklibname -d cdio
%define isomajor 11
%define isolibname %mklibname iso9660_ %{isomajor}
%define cdioppmajor 1
%define cdiopplibname %mklibname cdio++ %{cdioppmajor}
%define isoppmajor 0
%define isopplibname %mklibname iso9660++ %{isoppmajor}
%define udfmajor 0
%define udflibname %mklibname udf %{udfmajor}

Name: libcdio
Version: 2.1.0
Release: %mkrel 7
License: GPLv3+
Group: System/Libraries
URL: https://www.gnu.org/software/libcdio/
Source0: https://ftp.gnu.org/gnu/libcdio/%{name}-%{version}.tar.bz2
Patch0:  libcdio-2.1.0-git-printf-format.patch
Patch1:  CVE-2024-36600-1.patch
Patch2:  CVE-2024-36600-2.patch
Patch3:  CVE-2024-36600-3.patch
Patch4:  CVE-2024-36600-4.patch
Patch5:  CVE-2024-36600-5.patch
Patch6:  CVE-2024-36600-6.patch
Patch7:  CVE-2024-36600-7.patch
Summary: CD-ROM reading library
BuildRequires: pkgconfig(libcddb)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(ncurses)
#gw only if we change the man pages
#BuildRequires: help2man
%if %{build_vcd}
BuildRequires: pkgconfig(libvcdinfo) > 0.7.19
%endif

%description
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary: Example tool from %{name}
Group: Sound/Utilities
Provides: libcdio0-apps
Obsoletes: libcdio0-apps

%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %{name}.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
Provides: libcdio = %{version}-%{release}

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{libnamedev}
Summary: Devel files from %{name}
Group: Development/C
Requires: %{libname} = %{version}
Requires: %{isolibname} = %{version}
Requires: %{isopplibname} = %{version}
Requires: %{cdiopplibname} = %{version}
Requires: %{udflibname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}cdio-static-devel < 2.0.0-3

%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%package -n %{isolibname}
Summary: Libraries from %{name}
Group: System/Libraries

%description -n %{isolibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{cdiopplibname}
Summary: C++ library from %{name}
Group: System/Libraries

%description -n %{cdiopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{isopplibname}
Summary: iso96660 C++ library from %{name}
Group: System/Libraries
Obsoletes: %{_lib}cdio++0 < 2.0.0

%description -n %{isopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{udflibname}
Summary: Libraries from %{name}
Group: System/Libraries
Conflicts: %{mklibname cdio_cdda 0}

%description -n %{udflibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%prep
%autosetup -p1

%build
%ifarch %{ix86} %{arm}
export CPPFLAGS="-D_LARGEFILE64_SOURCE"
%endif

%configure \
--without-versioned-libs \
%if ! %{build_vcd}
--disable-vcd-info \
%endif
--disable-static

make %{?_make_verbose}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files apps
%doc README AUTHORS NEWS.md INSTALL TODO
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libcdio.so.%{major}{,.*}

%files -n %{isolibname}
%{_libdir}/libiso9660.so.%{isomajor}{,.*}

%files -n %{udflibname}
%{_libdir}/libudf.so.%{udfmajor}{,.*}

%files -n %{libnamedev}
%doc ChangeLog README AUTHORS NEWS.md INSTALL TODO
%{_includedir}/cdio
%{_includedir}/cdio++/
%{_infodir}/libcdio.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdio.pc
%{_libdir}/pkgconfig/libcdio++.pc
%{_libdir}/pkgconfig/libiso9660.pc
%{_libdir}/pkgconfig/libiso9660++.pc
%{_libdir}/pkgconfig/libudf.pc

%files -n %{cdiopplibname}
%{_libdir}/libcdio++.so.%{cdioppmajor}{,.*}

%files -n %{isopplibname}
%{_libdir}/libiso9660++.so.%{isoppmajor}{,.*}


%changelog
* Mon Jul 01 2024 wally <wally> 2.1.0-7.mga10
+ Revision: 2078555
- really fix the build on 32 bit arches with gcc14
+ ns80 <ns80>
- add patches from Ubuntu for CVE-2024-36600 (mga#33349)

* Mon Mar 14 2022 danf <danf> 2.1.0-4.mga9
+ Revision: 1790887
- Fix compiling with -Werror=format-security and ncurses 6.3

* Thu Aug 20 2020 ovitters <ovitters> 2.1.0-3.mga8
+ Revision: 1616885
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sat Feb 15 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1527260
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Jul 14 2019 luigiwalser <luigiwalser> 2.1.0-1.mga8
+ Revision: 1421163
- 2.1.0
- library major is now 19

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-5.mga7
+ Revision: 1298779
- Mageia 7 Mass Rebuild

* Sun Jan 14 2018 wally <wally> 2.0.0-4.mga7
+ Revision: 1193029
- change conflicts to obsoletes for a smooth upgrade

* Sat Jan 13 2018 wally <wally> 2.0.0-3.mga7
+ Revision: 1192937
- drop static devel pkg
- add conflicts as files were moved around
- fix devel pkg requires

* Sat Jan 13 2018 shlomif <shlomif> 2.0.0-2.mga7
+ Revision: 1192816
- Split library w different major and remove obslt

* Sat Jan 13 2018 shlomif <shlomif> 2.0.0-1.mga7
+ Revision: 1192806
- New version 2.0.0.

* Sat Nov 12 2016 luigiwalser <luigiwalser> 0.94-1.mga6
+ Revision: 1066627
- 0.94

* Thu Feb 11 2016 umeabot <umeabot> 0.93-2.mga6
+ Revision: 955448
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.93-1.mga6
+ Revision: 837409
- libcdio library major is now 16
- libiso9660 major is now 10
- 0.93

* Wed Oct 15 2014 umeabot <umeabot> 0.92-3.mga5
+ Revision: 746169
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.92-2.mga5
+ Revision: 681370
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.92-1.mga5
+ Revision: 591613
- 0.92
- libcdio major is now 15
- libiso9660 major is now 9

* Sat Oct 19 2013 umeabot <umeabot> 0.90-2.mga4
+ Revision: 533555
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.90-1.mga4
+ Revision: 473865
- update libmajor
- update file list
- new version 0.90

* Sat Jan 12 2013 umeabot <umeabot> 0.83-3.mga3
+ Revision: 356915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.83-2.mga3
+ Revision: 323360
- clean spec
- update rpm group

* Fri Oct 28 2011 fwang <fwang> 0.83-1.mga2
+ Revision: 159072
- new version 0.83

* Sat Jan 15 2011 blino <blino> 0.82-3.mga1
+ Revision: 18841
- rebuild with vcd

* Fri Jan 14 2011 blino <blino> 0.82-2.mga1
+ Revision: 17792
- bootstrap libcdio by not building vcd support
- remove old ldconfig scriptlets
- remove old conflicts
- imported package libcdio


* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 0.82-1mdv2010.1
+ Revision: 462458
- new version
- drop patches
- new major
- update file list

* Sun Oct 04 2009 Funda Wang <fwang@mandriva.org> 0.81-5mdv2010.0
+ Revision: 453447
- rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Sat Apr 11 2009 Michael Scherer <misc@mandriva.org> 0.81-3mdv2009.1
+ Revision: 366171
- patch to fix endless loop when there is no cdrom, blocking xmms2
  among other, as reported on 49636
- add patch to clear format string error
- add missing libtoolize call

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 0.81-2mdv2009.1
+ Revision: 298224
- fix linking

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 0.81-1mdv2009.1
+ Revision: 297772
- fix build deps
- update file list
- new version
- new major
- update license
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 0.80-2mdv2009.0
+ Revision: 193696
- add missing pkgconfig files

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.80-1mdv2009.0
+ Revision: 192411
- new version
- drop patch

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 0.79-3mdv2008.1
+ Revision: 163991
- replace Fedora patch by better Mandriva version

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.79-2mdv2008.1
+ Revision: 154097
- fix buffer overflow

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 0.79-1mdv2008.1
+ Revision: 102571
- new version

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.78.2-1mdv2008.0
+ Revision: 75363
- new devel name


* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.78.2-1mdv2007.0
+ Revision: 74975
- new version

* Sun Oct 29 2006 Götz Waschk <waschk@mandriva.org> 0.78.1-1mdv2007.1
+ Revision: 73597
- new version
- new major
- Import libcdio

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 0.78-1mdv2007.1
- new major
- New version 0.78

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.77-3mdv2007.0
- Rebuild

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.77-2mdk
- rebuild to fix apps package

* Sat Mar 18 2006 Götz Waschk <waschk@mandriva.org> 0.77-1mdk
- new majors
- add cdio++
- New release 0.77
- use mkrel

* Wed Oct 05 2005 Götz Waschk <waschk@mandriva.org> 0.76-1mdk
- New release 0.76

* Fri Jul 22 2005 Götz Waschk <waschk@mandriva.org> 0.75-2mdk
- fix conflicts
- rebuild

* Tue Jul 12 2005 Götz Waschk <waschk@mandriva.org> 0.75-1mdk
- major 6
- reenable cddb

* Tue Jul 12 2005 Götz Waschk <waschk@mandriva.org> 0.74-2mdk
- disable cddb
- better split the package

* Sun May 15 2005 Götz Waschk <waschk@mandriva.org> 0.74-1mdk
- New release 0.74

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 0.73-2mdk
- rebuild for new libvcd

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 0.73-1mdk
- major 5
- New release 0.73

* Wed Feb 02 2005 Götz Waschk <waschk@linux-mandrake.com> 0.72-2mdk
- add conflict 
- reenable vcd

* Tue Feb 01 2005 Götz Waschk <waschk@linux-mandrake.com> 0.72-1mdk
- major 4
- update the file list
- disable vcdinfo
- drop the patch
- new version

* Thu Dec 30 2004 Angelo Naselli <anaselli@mandrake.org> 0.71-3mdk
- added patch needed to compile with c++
- added --without-versioned-libs to avoid problems linking 
  libcdio or libiso9660

* Mon Nov 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.71-2mdk
- rebuild

* Mon Nov 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.71-1mdk
- major 3
- disable parallel build
- New release 0.71

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.70-1mdk
- 0.70

* Sun Jun 27 2004 Götz Waschk <waschk@linux-mandrake.com> 0.69-1mdk
- fix source URL
- New release 0.69

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.68-2mdk
- new vcdimager

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.68-1mdk
- drop man pages
- new version

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.65-3mdk
- reenable vcd support

* Thu Jan 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.65-2mdk
- fix provides

* Thu Jan 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.65-1mdk
- use the mdkversion macro
- install man pages by hand
- disable vcdimager for now
- needs new vcdimager
- new version

* Thu Nov 20 2003 Götz Waschk <waschk@linux-mandrake.com> 0.64-3mdk
- update URL

